# PSF-LoginServer - master - net.psforever.objects.serverobject.shuttle.OrbitalShuttlePad
PSF - LoginServer - master - net.psforever.objects.serverobject.shuttle.OrbitalShuttlePad
Keywords: PSF LoginServer master net.psforever.objects.serverobject.shuttle.OrbitalShuttlePad

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package shuttle
  Definition Classes
    serverobject
- OrbitalShuttle
- OrbitalShuttlePad
- OrbitalShuttlePadControl
- ShuttleAmenity

o

net.psforever.objects.serverobject.shuttle

# OrbitalShuttlePad 

###
Companion class OrbitalShuttlePad

#### object OrbitalShuttlePad

Source
  OrbitalShuttlePad.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OrbitalShuttlePad
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class GetShuttle (giveTo: ActorRef) extends Product with Serializable
2.  final case class GiveShuttle (shuttle: Vehicle) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Constructor(pos: Vector3, pdef: AmenityDefinition, orient: Vector3)(id: Int, context: ActorContext): OrbitalShuttlePad

   Instantiate and configure an `OrbitalShuttlePad` object

   Instantiate and configure an `OrbitalShuttlePad` object

   pos

     the position (used to determine spawn point)

   pdef

     the `ObjectDefinition` that constructs this object and maintains some of its immutable fields

   orient

     the orientation (used to indicate spawn direction)

   id

     the unique id that will be assigned to this entity

   context

     a context to allow the object to properly set up `ActorSystem` functionality

   returns

     the `OrbitalShuttlePad` object

5.  def apply(spDef: AmenityDefinition): OrbitalShuttlePad

   Overloaded constructor.

   Overloaded constructor.

   spDef

     the `ObjectDefinition` that constructs this object and maintains some of its immutable fields

   returns

     an `OrbitalShuttlePad` object

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped